Last Comment Bug 695446 - Password manager/Form Fill
: Password manager/Form Fill
Status: VERIFIED FIXED
[birch] [ux needed]
: feature
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on: 697659
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 12:38 PDT by Erin Lancaster [:elan]
Modified: 2012-01-10 11:24 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
WIP 1 (35.59 KB, patch)
2011-10-25 08:42 PDT, Mark Finkle (:mfinkle) (use needinfo?)
mbrubeck: review+
Details | Diff | Review

Description Erin Lancaster [:elan] 2011-10-18 12:38:00 PDT
* need a few more things from gcp/door hanger patch
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-25 08:42:34 PDT
Created attachment 569387 [details] [diff] [review]
WIP 1

This patch does some basic stuff:
* Removes Fennec specific LoginManager.js component. We can use desktop (non-e10s) now.
* Inits the login-manager in BrowserApp.startup (it uses lazy DB access, so the DB is not touched until really needed)
* Removes Fennec specific LoginManagerPrompter.idl file. We can use desktop (non-e10s) now.
* Removes some "&" access key stuff from the strings file.

Using this patch, the LoginManager works using prompts (dialogs) for confirmations. I plan to add DoorHanger support next.

If a webpage has more than 1 user login saved, the password is auto-entered when the username is manually entered. We should be able to add support for picking the login username from a list as well.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-26 13:21:48 PDT
Comment on attachment 569387 [details] [diff] [review]
WIP 1

No sense leaving this sit. I can add Doorhanger support in a new bug. Better to land this using Prompts and get bugs filed for feature issues.

>+pref("signon.debug", true);

I will revert this change
Comment 3 Matt Brubeck (:mbrubeck) 2011-10-26 13:29:17 PDT
Comment on attachment 569387 [details] [diff] [review]
WIP 1

>+++ b/mobile/locales/en-US/chrome/overrides/passwordmgr.properties

>-notNowButtonText = &Not Now
>+notNowButtonText = Not Now

>-neverForSiteButtonText = Ne&ver for This Site
>+neverForSiteButtonText = Never

>-rememberButtonText = &Remember
>+rememberButtonText = Remember

We should change the string IDs if we want localizers to get rid of the ampersands in other locales too.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-26 21:38:25 PDT
pushed with pref reverted and string entities changed:
https://hg.mozilla.org/projects/birch/rev/c775f204ec05

Filed bug 697659 for using Doorhangers

Note: If a webpage has more than 1 user login saved, the password is auto-entered only after a username is manually entered into the username field (and focus leaves the username field)
Comment 5 Carla Nadastean 2012-01-09 07:54:58 PST
Verified with:
Aurora 11.0a2 (2012-01-08) HTC Desire Z (Android 2.3)
Nightly 12.0a1 (2012-01-08) HTc Desire Z (Android 2.3)

For only 1 user login saved, username and password fields are pre-populated.

For more than 1 user, password is auto-entered if username is manually entered.

If username is selected from the auto-complete suggestion list, password is not automatically entered. This issue is tracked in another bug. (Bug 716515 - Password not filled if username selected from autocomplete suggestions)
)

Note You need to log in before you can comment on or make changes to this bug.